#include <array.au3>
#include "ArrayFileToArray.au3"

_Exemple1()

_Exemple2()

_Exemple4()

Func _Exemple1()
	$File = 'test.txt'

	$hFile = FileOpen($File, 2)
	FileWrite($hFile, "Line1,Var1,Var2,Var3,Var4,Var5,Var6,Var7,Var8" & @CRLF & _
			"Line2,Var1,Var2,Var3,Var4,Var5,Var6,Var7" & @CRLF & _
			"Line3,Var1,Var2,Var3,Var4,Var5,Var6" & @CRLF & _
			"Line4,Var1,Var2,Var3,Var4,Var5,Var6" & @CRLF & _
			@CRLF & _ ; An empty line
			"Line6,Var1,Var2,Var3,Var4,Var5,Var6,Var7,Var8,Var9,Var10" & @CRLF)
	FileClose($hFile)
	MsgBox(64, "File to proceed", FileRead($File))

	$FileArray = _ArrayFileToArray($File, ',', 1)
	_ArrayDisplay($FileArray, "Array With empty lines")

	$FileArray = _ArrayFileToArray($File, ',')
	_ArrayDisplay($FileArray, "Array Without empty lines")

	$FileArray = _ArrayFileToArray($File, ',', 0, 1)
	_ArrayDisplay($FileArray, "Array Without empty lines and index")
EndFunc   ;==>_Exemple1

Func _Exemple2()
	$File = "ComplexSeparatorFile.txt"
	$hFile = FileOpen($File, 2)
	For $i = 1 To 10
		FileWrite($hFile, "Line" & $i & "MyS&paratorVar1MyS&paratorVar2MyS&paratorVar3MyS&paratorVar4MyS&paratorVar5" & @CRLF)
	Next
	FileClose($hFile)
	MsgBox(64, "File to proceed", FileRead($File))
	Sleep(200)

	$FileArray = _ArrayFileToArray($File, 'MyS&parator')
	_ArrayDisplay($FileArray, "ArrayFileToArray of " & $File)
EndFunc   ;==>_Exemple2

Func _Exemple4()
	$File = "BigCVSFile.cvs"
	$hFile = FileOpen($File, 2)
	For $i = 1 To 2000
		FileWrite($hFile, "Line" & $i & ";Var1;Var2;Var3;Var4;Var5;Var6;Var7;Var8;Var9;Var10" & @CRLF)
	Next
	FileClose($hFile)
	Sleep(200)

	$begin = TimerInit()
	$FileArray = _ArrayFileToArray($File, ';')
	MsgBox(0, "Treatment time", "ArrayFileToArray of a big file whith 2000 elements : " & $File & " in " & Int(TimerDiff($begin)) & " ms")
	_ArrayDisplay($FileArray, "ArrayFileToArray of " & $File)
EndFunc   ;==>_Exemple4
